List active TWAP and VWAP orders
curl --request GET \
--url https://developers.fundingperpetuals.com/v1/twap-orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://developers.fundingperpetuals.com/v1/twap-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developers.fundingperpetuals.com/v1/twap-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"account_id": "<string>",
"market_id": "<string>",
"total_size": 123,
"filled_size": 123,
"leverage": 123,
"reduce_only": true,
"duration_minutes": 123,
"slice_interval_seconds": 123,
"status": "<string>",
"started_at": 123,
"end_at": 123,
"provider": "<string>",
"symbol": "<string>",
"coin": "<string>",
"size_decimals": 123,
"average_price": 123,
"slice_count": 123,
"slices_attempted": 123,
"randomize": true,
"trigger_price": 123,
"max_price": 123,
"min_price": 123,
"current_child_order_id": "<string>",
"activated_at": 123,
"next_run_at": 123,
"canceled_at": 123,
"completed_at": 123,
"completion_reason": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Strategy Orders
List active TWAP and VWAP orders
GET
/
v1
/
twap-orders
List active TWAP and VWAP orders
⌘I